# q

A simple programming language.

## Features

* Fast compilation
* Small binaries

## Installation

```shell
git clone https://git.akyoto.dev/cli/q
cd q
go build
```

## Usage

Build a Linux ELF executable from `examples/hello`:

```shell
./q build examples/hello
./examples/hello/hello
```

## Source

- [main.go](main.go)
- [src/cli/Main.go](src/cli/Main.go)
- [src/cli/Build.go](src/cli/Build.go)
- [src/build/Build.go](src/build/Build.go)

## Tests

```shell
go test -coverpkg=./...
```

## Benchmarks

```shell
go test -bench=. -benchmem
```

## License

Please see the [license documentation](https://akyoto.dev/license).

## Copyright

© 2023 Eduard Urbach
